# $Revision: 1.25 $, $Date: 2008-05-26 19:00:01 $
Summary:	Font server for X Window System
Summary(pl.UTF-8):	Serwer fontów dla X Window System
Summary(ru.UTF-8):	Фонтсервер для X Window System
Summary(uk.UTF-8):	Фонтсервер для X Window System
Name:		xorg-app-xfs
Version:	1.0.8
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xfs-%{version}.tar.bz2
# Source0-md5:	f10717e45535b64eb45226aac571dac2
Source1:	xfs.config
Source2:	xfs.init
Source3:	xfs.sysconfig
Patch0:		xorg-xfs-freebsd.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xorg-lib-libFS-devel
BuildRequires:	xorg-lib-libXfont-devel
BuildRequires:	xorg-util-util-macros >= 1.1
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(xfs)
Provides:	user(xfs)
Obsoletes:	X11-xfs < 1:7.0.0
Obsoletes:	XFree86-xfs < 1:7.0.0
Obsoletes:	xfs < 1:7.0.0
Obsoletes:	xfsft
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a font server for X Window System. You can serve fonts to
other X servers remotely with this package, and the remote system will
be able to use all fonts installed on the font server, even if they
are not installed on the remote computer.

%description -l pl.UTF-8
Pakiet zawiera serwer fontów dla X Window System. Może udostępniać
fonty dla X serwerów lokalnych lub zdalnych.

%description -l ru.UTF-8
xfs содержит сервер шрифтов для X Window System. Xfs также может
предоставлять шрифты удаленным X-серверам. Удаленная система будет
способна использовать все шрифты, установленные на сервере шрифтов,
даже если они не установлены на удаленном компьютере.

%description -l uk.UTF-8
xfs містить сервер шрифтів для X Window System. Xfs також може
надавати шрифти віддаленим X-серверам. Віддалена система зможе
використовувати усі шрифти, які встановлені на сервері шрифтів, навіть
якщо вони не встановлені на віддаленому комп'ютері.

%prep
%setup -q -n xfs-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make} \
	configdir=%{_sysconfdir}/X11/fs

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	configdir=%{_sysconfdir}/X11/fs

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fs/config
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/xfs
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/xfs

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -P %{name}-xfs -g 56 -r -f xfs
%useradd -P %{name}-xfs -u 56 -r -d /etc/X11/fs -s /bin/false -c "X Font Server" -g xfs xfs

%post
/sbin/chkconfig --add xfs
%service xfs restart "font server"

%preun
if [ "$1" = "0" ]; then
	%service xfs stop
	/sbin/chkconfig --del xfs
fi

%postun
if [ "$1" = "0" ]; then
	%userremove xfs
	%groupremove xfs
fi

%triggerpostun -- xfs
%groupadd -P %{name}-xfs -g 56 -r -f xfs
%useradd -P %{name}-xfs -u 56 -r -d /etc/X11/fs -s /bin/false -c "X Font Server" -g xfs xfs
/sbin/chkconfig --add xfs
/sbin/service xfs start >&2

%triggerpostun -- X11-xfs
/sbin/chkconfig --add xfs
/sbin/service xfs start >&2

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xfs
%dir %{_sysconfdir}/X11/fs
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/fs/config
%attr(754,root,root) /etc/rc.d/init.d/xfs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/xfs
%{_mandir}/man1/xfs.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xfs.spec,v $
Revision 1.25  2008-05-26 19:00:01  qboosh
- updated to 1.0.8

Revision 1.24  2008-05-21 18:32:59  arekm
- up to 1.0.7

Revision 1.23  2008-03-06 22:52:27  qboosh
- BR: util-macros 1.1

Revision 1.22  2008-03-06 22:19:11  arekm
- up to 1.0.6

Revision 1.21  2007/10/30 21:25:53  qboosh
- CVE references typo

Revision 1.20  2007/10/02 17:59:13  arekm
- up to 1.0.5 (CVE-2007-4568, CVE-2007-4990)

Revision 1.19  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.17  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.16  2006/11/30 18:56:35  arekm
- up to 1.0.4

Revision 1.15  2006/10/14 18:23:06  qboosh
- updated to 1.0.3

Revision 1.14  2006/04/27 06:29:54  arekm
- up to 1.0.2

Revision 1.13  2006/04/16 12:55:31  qboosh
- added missing user/group/chkconfig scripts; release 1

Revision 1.12  2006/02/03 14:53:05  qboosh
- changed config dir to /etc/X11/fs
- merged xfs.{config,init,sysconfig} files from monolith

Revision 1.11  2006/01/12 14:47:59  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.10  2005/12/09 15:45:11  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.9  2005/11/19 21:48:33  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/22 01:19:49  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.6  2005/08/28 10:51:16  qboosh
- merged descs from X11.spec, Obsoletes for X.org/XFree86 packages

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 11:51:23  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added man and xfs-freebsd.patches
- removed redundant BR: fontsproto-devel
- release 0.02

* Mon Aug  8 2005 10:06:57  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
